utl::detail::try_invoke< _Callable, _Args > Struct Template Reference

`#include <invoke.h>`

## Public Types

using | type = decltype(detail::invoke_impl_(std::declval< _Callable && >(), std::declval< _Args && >()...))

## Detailed Description

### template<typename _Callable, typename... _Args>
struct utl::detail::try_invoke< _Callable, _Args >

Definition at line 150 of file invoke.h.

## Member Typedef Documentation

## type

template<typename _Callable , typename... _Args>

using utl::detail::try_invoke< _Callable, _Args >::type = decltype ( detail::invoke_impl_(std::declval<_Callable&&>(), std::declval<_Args&&>()...) )

Definition at line 153 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/utility/invoke.h